[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[linux-lvm] Problems with 2.4.10 > lvm 1.0



Hello. I just rebooted to my new 2.4.10 kernel, and my VG was not to be
found. So, I thought I'd better update my userland tools from beta 7 (I
think it was) to 1.0.

Making and installing them worked fine. So did the kernel-patch and its
compilation, but i get the following when trying to install or newly
compiled 1.0 module:

depmod: *** Unresolved symbols in
/lib/modules/2.4.10/kernel/drivers/md/lvm-mod.o
depmod:	get_hardblocksize

I've read somewhere else in the list-archive that changing the
get_hardblocksize lines to get_hardsect_size could help, but I have
absolutely no clue on what difference that'd make: is it all about a
function that have had its name changed, or is there something else to it? 

I _don't_ want to try it if it means risking corruption of my data..

Any ideas would be appreciated.

//conny



[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]